import { Connect } from '@genesislcap/foundation-comms';
import { ZeroGridPro } from '@genesislcap/foundation-zero-grid-pro';
import { FASTElement } from '@microsoft/fast-element';
export declare class SelectFilters extends FASTElement {
    availableFieldsGrid: ZeroGridPro;
    selectedFiltersGrid: ZeroGridPro;
    connect: Connect;
    filtersToRemove: any[];
    selectedFields: any[];
    selectedFilters: any[];
    filterGridReady: boolean;
    connectedCallback(): void;
    makeSureFieldValueIsNotLost: (array: any) => any;
    selectedFiltersChanged(): void;
    setSelectedFilters(filters: {
        [key: string]: any;
    }): void;
    getNormalizedFilters(): Array<string>;
    loadAvailableFieldsGrid(): Promise<void>;
    loadSelectedFiltersGrid(): void;
    onFilterSelect: (value: any, params: any) => void;
    onFilterValueChange: (value: any, params: any) => void;
    removeSelectedFilters: () => void;
    selectDefaultFilters(): void;
}
//# sourceMappingURL=select-filters.d.ts.map